This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 158624 - phone number labels missing
phone number labels missing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jpilot (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-24 06:51 EDT by Patrick C. F. Ernzer
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-01 02:43:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
header of AddressDB (4.70 KB, application/octet-stream)
2005-05-27 06:55 EDT, Patrick C. F. Ernzer
no flags Details
debug output (35.99 KB, application/octet-stream)
2005-05-31 10:53 EDT, Patrick C. F. Ernzer
no flags Details

  None (edit)
Description Patrick C. F. Ernzer 2005-05-24 06:51:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Fedora/1.0.4-2 Firefox/1.0.4

Description of problem:
jpilot of FC4 test3 does not show the labels for phone number.
The drop down list that should contain 'Home', 'Work', 'Fax' etc only shows a single square.
It may be of consequence that I use a Palm Tungsten T3 (i.e. Palm OS 5.2.1 and the new Palm database format)

Version-Release number of selected component (if applicable):
jpilot-0.99.8-0.pre8.4

How reproducible:
Always

Steps to Reproduce:
1. install FC4 test 3 over FC3 (wipiong / but keeping /home)
2. open jpilot
3. notice empty drop down list
4. remove ~/.jpilot
5. sync pilot again to have a clean slate
  

Actual Results:  drop down list still only shows squares

Expected Results:  drop down list filled with entries

Additional info:

a sync log:
****************************************
 Syncing on device /dev/pilot
 Press the HotSync button now
****************************************
pi_bind error: /dev/pilot Too many levels of symbolic links
Check your serial port and settings
Exiting with status SYNC_ERROR_BIND
Finished
****************************************
 Syncing on device /dev/pilot
 Press the HotSync button now
****************************************
Username is "pcfe"
User ID is 5096
lastSyncPC = -1116358875
This PC = 752709088
Doing a slow sync.
Syncing DatebookDB
Syncing AddressDB
sync.c:2824 Error getting app info /home/pcfe/.jpilot/ToDoDB.pdb
Syncing ToDoDB
sync.c:2824 Error getting app info /home/pcfe/.jpilot/Memo32DB.pdb
Syncing MemoDB
sync.c:2824 Error getting app info /home/pcfe/.jpilot/ExpenseDB.pdb
Syncing ExpenseDB
synctime: Palm OS version 5.21
synctime: Setting the time on the pilot... Done
Fetching 'AddressDB' (Creator ID 'addr')... OK
Fetching 'DatebookDB' (Creator ID 'date')... OK
Fetching 'ExpenseDB' (Creator ID 'exps')... OK
Fetching 'MemoDB' (Creator ID 'memo')... OK
Memo32DB.pdb (Creator ID 'pn32') is up to date, fetch skipped.
Fetching 'ToDoDB' (Creator ID 'todo')... OK
Fetching 'Saved Preferences' (Creator ID 'psys')... OK
Finished.
Error reading file: AddressDB.pdb
Error reading file: AddressDB.pdb
Comment 1 Patrick C. F. Ernzer 2005-05-24 06:52:29 EDT
[pcfe@localhost .jpilot]$ pwd
/home/pcfe/.jpilot
[pcfe@localhost .jpilot]$ ll
total 576
-rw-rw-r--  1 pcfe pcfe      0 May 17 18:48 AddressDB.pc3
-rw-rw-r--  1 pcfe pcfe  87674 May 24 13:50 AddressDB.pdb
-rw-rw-r--  1 pcfe pcfe      0 May 17 18:46 DatebookDB.pc3
-rw-rw-r--  1 pcfe pcfe 177179 May 24 13:50 DatebookDB.pdb
-rw-rw-r--  1 pcfe pcfe      0 May 17 18:48 ExpenseDB.pc3
-rw-rw-r--  1 pcfe pcfe    863 May 24 09:57 ExpenseDB.pdb
-rw-rw-r--  1 pcfe pcfe    127 May 24 13:48 jpilot.alarms
-rw-rw-r--  1 pcfe pcfe     68 May 24 13:50 jpilot.log
-rw-rw-r--  1 pcfe pcfe    131 May 17 18:48 jpilot.plugins
-rw-rw-r--  1 pcfe pcfe   1536 May 24 13:51 jpilot.rc
-rw-rw-r--  1 pcfe pcfe      0 May 24 13:50 jpilot_to_install
-rw-rw-r--  1 pcfe pcfe      0 May 17 18:49 Keys-Gtkr.pc3
-rw-rw-r--  1 pcfe pcfe      0 May 17 18:49 Memo32DB.pc3
-rw-rw-r--  1 pcfe pcfe     80 Jun 24  2004 Memo32DB.pdb
-rw-rw-r--  1 pcfe pcfe      0 May 17 18:48 MemoDB.pc3
-rw-rw-r--  1 pcfe pcfe   8040 May 24 13:50 MemoDB.pdb
-rw-rw-r--  1 pcfe pcfe     11 May 24 13:50 next_id
-rw-rw-r--  1 pcfe pcfe  43023 May 24 13:49 Saved Preferences.prc
-rw-rw-r--  1 pcfe pcfe      0 May 17 18:46 ToDoDB.pc3
-rw-rw-r--  1 pcfe pcfe 142526 May 24 13:50 ToDoDB.pdb
Comment 2 Ivana Varekova 2005-05-24 08:49:54 EDT
Hello,
can you attach your AddressDB.pdb file please.
Ivana Varekova
Comment 3 Patrick C. F. Ernzer 2005-05-24 08:54:19 EDT
Sorry, no can do. This contains both private data and customer data.

I will check for whatever you ask though.
Comment 4 Ivana Varekova 2005-05-26 08:24:45 EDT
AddressDB.pdb should contain information about Address Book frame. The Address
Book data should be in AddressDB.pc3. But your *DB.* files are quite puzzled. 
Can you try to 
1] delete ./jpilot directory,  
2] run jpilot (jpilot create new *.pdb files in ./jpilot directory) and then do 
3] sync,
and send me your ls -la .jpilot/ output. Thank you.
Ivana Varekova

Comment 5 Patrick C. F. Ernzer 2005-05-26 09:24:12 EDT
[pcfe@localhost ~]$ rm -rf .jpilot
[pcfe@localhost ~]$ jpilot
[pcfe@localhost ~]$ # no sync yet, just launched and configured serial port and
speed
[pcfe@localhost ~]$ ls -la .jpilot
total 120
drwx------    2 pcfe pcfe 4096 May 26 16:20 .
drwx------  100 pcfe pcfe 4096 May 26 16:19 ..
-rw-rw-r--    1 pcfe pcfe    0 May 26 16:20 AddressDB.pc3
-rw-rw-r--    1 pcfe pcfe  719 Jan  1  1970 AddressDB.pdb
-rw-rw-r--    1 pcfe pcfe    0 May 26 16:19 DatebookDB.pc3
-rw-rw-r--    1 pcfe pcfe  361 Jan  1  1970 DatebookDB.pdb
-rw-rw-r--    1 pcfe pcfe    0 May 26 16:20 ExpenseDB.pc3
-rw-rw-r--    1 pcfe pcfe  473 Jan  1  1970 ExpenseDB.pdb
-rw-rw-r--    1 pcfe pcfe  127 May 26 16:19 jpilot.alarms
-rw-rw-r--    1 pcfe pcfe    0 May 26 16:19 jpilot.plugins
-rw-rw-r--    1 pcfe pcfe 1553 May 26 16:20 jpilot.rc
-rw-rw-r--    1 pcfe pcfe    0 May 26 16:20 Keys-Gtkr.pc3
-rw-rw-r--    1 pcfe pcfe    0 May 26 16:20 Memo32DB.pc3
-rw-rw-r--    1 pcfe pcfe  364 Jan  1  1970 Memo32DB.pdb
-rw-rw-r--    1 pcfe pcfe    0 May 26 16:20 MemoDB.pc3
-rw-rw-r--    1 pcfe pcfe  363 Jan  1  1970 MemoDB.pdb
-rw-rw-r--    1 pcfe pcfe   11 May 26 16:20 next_id
-rw-rw-r--    1 pcfe pcfe    0 May 26 16:19 ToDoDB.pc3
-rw-rw-r--    1 pcfe pcfe  363 Jan  1  1970 ToDoDB.pdb
[pcfe@localhost ~]$ jpilot
PC ID is 0.
I generated a new PC ID.  It is 1876906121
pi_bind error: /dev/pilot No such file or directory
Check your serial port and settings
Exiting with status SYNC_ERROR_BIND
Finished
J-Pilot: sync PID = 4143
J-Pilot: press the hotsync button on the cradle or "kill 4143"
### my bad, tried sync too soon after initiating sync on Palm (so udev had not
yet cvreated the device)
[pcfe@localhost ~]$ jpilot
slow_sync_application: Unable to open file: Keys-Gtkr
todo.c:357 Error reading category info ToDoDB
Error reading file: AddressDB.pdb
Error reading file: AddressDB.pdb
[pcfe@localhost ~]$ ls -la .jpilot total 588
drwx------    2 pcfe pcfe   4096 May 26 16:21 .
drwx------  100 pcfe pcfe   4096 May 26 16:19 ..
-rw-rw-r--    1 pcfe pcfe      0 May 26 16:20 AddressDB.pc3
-rw-rw-r--    1 pcfe pcfe  87674 May 26 16:21 AddressDB.pdb
-rw-rw-r--    1 pcfe pcfe      0 May 26 16:19 DatebookDB.pc3
-rw-rw-r--    1 pcfe pcfe 179496 May 26 16:21 DatebookDB.pdb
-rw-rw-r--    1 pcfe pcfe      0 May 26 16:20 ExpenseDB.pc3
-rw-rw-r--    1 pcfe pcfe    863 May 26 16:21 ExpenseDB.pdb
-rw-rw-r--    1 pcfe pcfe    127 May 26 16:21 jpilot.alarms
-rw-rw-r--    1 pcfe pcfe    114 May 26 16:21 jpilot.log
-rw-rw-r--    1 pcfe pcfe      0 May 26 16:19 jpilot.plugins
-rw-rw-r--    1 pcfe pcfe   1537 May 26 16:21 jpilot.rc
-rw-rw-r--    1 pcfe pcfe      0 May 26 16:21 jpilot_to_install
-rw-rw-r--    1 pcfe pcfe      0 May 26 16:20 Keys-Gtkr.pc3
-rw-rw-r--    1 pcfe pcfe      0 May 26 16:20 Memo32DB.pc3
-rw-rw-r--    1 pcfe pcfe     80 Jun 24  2004 Memo32DB.pdb
-rw-rw-r--    1 pcfe pcfe      0 May 26 16:20 MemoDB.pc3
-rw-rw-r--    1 pcfe pcfe   8050 May 26 16:21 MemoDB.pdb
-rw-rw-r--    1 pcfe pcfe     11 May 26 16:21 next_id
-rw-rw-r--    1 pcfe pcfe  43004 May 26 16:20 Saved Preferences.prc
-rw-rw-r--    1 pcfe pcfe      0 May 26 16:19 ToDoDB.pc3
-rw-rw-r--    1 pcfe pcfe 142547 May 26 16:21 ToDoDB.pdb
[pcfe@localhost ~]$



Still same problem :-(

One thing worth noting is that I use DateBk5 V-5.4a (but then again I have been
using DateBk for years and have never had a problem with jpilot, be it with my
current T3 or my previous Vx)
Comment 6 Patrick C. F. Ernzer 2005-05-26 09:33:20 EDT
one more note, install of FC4t3 (keeping /home of FC3) was on Fri 13 May

but:
[pcfe@localhost ~]$ ls -l .jpilot-old/
total 692
-rw-rw-r--  1 pcfe pcfe      0 May  9 19:10 AddressDB.pc3
-rw-rw-r--  1 pcfe pcfe  88350 May 17 18:39 AddressDB.pdb
lrwxrwxrwx  1 pcfe pcfe     14 May 13 11:17 backup -> backup05131117
drwxr-xr-x  7 pcfe pcfe   4096 Mar 31  2004 Backup
drwx------  2 pcfe pcfe  28672 May 13 11:17 backup05131117
drwx------  2 pcfe pcfe  28672 Sep 16  2004 backup09162010
-rw-r--r--  1 pcfe pcfe     63 Mar 31  2004 backup.rc
drwx------  2 pcfe pcfe  28672 May  9 11:31 backup_removed
-rw-rw-r--  1 pcfe pcfe      0 May  6 14:33 DatebookDB.pc3
-rw-rw-r--  1 pcfe pcfe 175850 May 17 18:39 DatebookDB.pdb
-rw-r--r--  1 pcfe pcfe      0 Mar 31  2004 ExpenseDB.pc3
-rw-rw-r--  1 pcfe pcfe    863 May 17 09:22 ExpenseDB.pdb
-rw-rw-r--  1 pcfe pcfe    127 May 17 18:43 jpilot.alarms
-rw-r--r--  1 pcfe pcfe   1067 May 17 18:45 jpilot.log
-rw-r--r--  1 pcfe pcfe    131 Mar 14 16:29 jpilot.plugins
-rw-r--r--  1 pcfe pcfe   1556 May 17 18:45 jpilot.rc
-rw-rw-r--  1 pcfe pcfe      0 May 17 18:43 jpilot_to_install
-rw-r--r--  1 pcfe pcfe      0 Mar 31  2004 Keys-Gtkr.pc3
-rw-r--r--  1 pcfe pcfe      0 Mar 31  2004 Memo32DB.pc3
-rw-r--r--  1 pcfe pcfe    592 Jun 24  2004 Memo32DB.pdb
-rw-rw-r--  1 pcfe pcfe      0 Apr  1 12:36 MemoDB.pc3
-rw-rw-r--  1 pcfe pcfe   7981 May 17 18:39 MemoDB.pdb
-rw-r--r--  1 pcfe pcfe   2563 May 17 18:45 next_id
-rw-r--r--  1 pcfe pcfe  37343 May 17 17:49 Saved Preferences.prc
-rw-------  1 pcfe pcfe    160 Mar 31  2004 syncmal.rc
-rw-rw-r--  1 pcfe pcfe      0 May 13 13:00 ToDoDB.pc3
-rw-rw-r--  1 pcfe pcfe 142061 May 17 18:39 ToDoDB.pdb

That directory workerd just fine under FC3. Copying it to .jpilot and using it
under FC4t3 gives me the emplty fields and the following error:
(jpilot:4554): Gtk-CRITICAL **: gtk_check_menu_item_set_active: assertion
`GTK_IS_CHECK_MENU_ITEM (check_menu_item)' failed
Comment 7 Ivana Varekova 2005-05-27 03:19:50 EDT
Can you please attach first part of AddressDB.pdb file. There is a header and
then there are your private data. Can you attach only the header of your file.
If you look to directory /usr/share/jpilot/ there is AddressDB.pdb file which
contains only the header. 
If there is any problem write a comment.
Ivana Varekova
Comment 8 Patrick C. F. Ernzer 2005-05-27 06:55:53 EDT
Created attachment 114903 [details]
header of AddressDB

opened file in vi, went to just after the first private entry, inserted a
newline after the family name and deleted all forther lines of the file.
Is that sufficient for you?
Comment 9 Ivana Varekova 2005-05-30 09:08:16 EDT
Please can you describe your jpilot behaviour more exactly. I use your
AddressDB.pdb file (you leave first three addresses there) and jpilot shows
record categories right, but it does not show titles of these categories.
Is this your problem or your jpilot doesn't show this categories too?
Comment 10 Patrick C. F. Ernzer 2005-05-30 11:53:24 EDT
Ivana,

the category drop down contains only 'All' and 'Unfiled' (I do have many
categories and miss them)

and the labels of fields are missing, i.e. there is no way for me to
differentiate beween phone, fax, private etc numbers.

If, for example, I do a view all info on trhe first record (you should have it
as well), I see:
[start]
Category: 
: 3Com Tech. Support
: +49/69/92032181
[end]

What I expect to see is
[start]
Category: Business
Company: 3Com Tech. Support
Work: +49/69/92032181
[end]
Comment 11 Patrick C. F. Ernzer 2005-05-31 07:38:38 EDT
Ivana,

I just pulled my .jpilot from a backup prior to the FC4 install.

With that, all categories are there (not synced the palm yet)

After syncing the palm (/dev/pilot created by udev rule below and at speed
115200) the labels and categories disappear.

udev rule:
[root@localhost tmp]# cat /etc/udev/rules.d/20-pilot.rules
BUS="usb", SYSFS{product}="Palm Handheld ", KERNEL="ttyUSB1", SYMLINK="pilot"
Comment 12 Patrick C. F. Ernzer 2005-05-31 09:05:01 EDT
dropped speed from 115200 to 57600
took my USB hub out of the loop
and changed the sync cable (using a colleagues garmin cradle)

problem went away.
Comment 13 Patrick C. F. Ernzer 2005-05-31 09:18:20 EDT
damn, I spoke too soon. while no categories disappeared in the previous test, it
seems no data was synced at all (even though the log suggested data was synced)

I have just done the following:
removed ~/.jpilot
synced without USB hub, at spedd 57600 and with new cable

original problem is still present (i.e. no categories and no labels)
Comment 14 Patrick C. F. Ernzer 2005-05-31 09:52:33 EDT
FWIW: ununstalled jpilot, pilot-link (and all their dependencies) and then
installed the following from FC3
  jpilot-0.99.7-2
  pilot-link-0.11.8-8

and the required dependencies from FC devel
  openssl097a-0.9.7a-3
  compat-readline43-4.3-2

And the problem went away (as expected), so the problem comes either from the
new pilot-link or the new jpilot.
Comment 15 Patrick C. F. Ernzer 2005-05-31 10:53:16 EDT
Created attachment 115003 [details]
debug output

updated jpilot and pilot-link back to what's current in FC devel (jpilot.i386
0:0.99.8-0.pre8.4 pilot-link.i386 1:0.12.0-0.pre2.0)

rm -rf ~/.jpilot

ran 'jpilot -d'

On the first sync attempt I was too fast (/dev/pilot did not yet exist)
Comment 18 Ivana Varekova 2005-06-10 02:36:43 EDT
Now there is new version of pilot-link (0.12.0-pre2) and new version of jpilot 
(0.99.8-0.pre9). These versions should fix this bug. 
I can't test this bug so can anybody test it?
Thank you.
Comment 19 Jindrich Novy 2005-06-10 02:57:37 EDT
/me thinks that Patrick is the only PDA user here ;)
Comment 20 Patrick C. F. Ernzer 2005-06-30 11:06:10 EDT
T3 did not survive the last gravitation test, so all further tests are done on
the new T5

on FC4
with kernel 2.6.11-1.35_FC3 (FC4 kernel does not work with T5)
pilot-link-0.12.0-0.pre4.2
jpilot-0.99.8-0.pre9.1

the bug is now gone.

Thanks for the fix Ivana
Comment 21 Ivana Varekova 2005-07-01 02:43:50 EDT
Thanks Patrick for his excellent help.

Note You need to log in before you can comment on or make changes to this bug.